API Reference
GET /v1/twitter/user/.../tweets

GET /v1/twitter/user/:username/tweets

Get a user's recent tweets. Returns up to 20 tweets per request.

Cost: $0.01 per call — X API would charge $0.10 for 20 tweets

curl "https://frontrun.vc/v1/twitter/user/a16z/tweets" \
  -H "X-API-Key: your_api_key"

Parameters

ParameterTypeDefaultDescription
usernamestring (path)--Twitter username (without @)
countinteger (query)20Number of tweets (max 20)

Response

{
  "username": "a16z",
  "count": 20,
  "data": [
    {
      "id": "1234567890",
      "text": "Why we invested in...",
      "author": {
        "id": "2699941878",
        "userName": "a16z",
        "name": "a16z",
        "followers": 1045000,
        "isBlueVerified": true
      },
      "createdAt": "Wed Mar 12 14:30:00 +0000 2026",
      "likes": 1200,
      "retweets": 340
    }
  ],
  "cost_cents": 1,
  "balance_cents": 9899
}